Skip to main content
GET
/
core
/
v1
/
domains
/
{domainName}
/
records
List Records
curl --request GET \
  --url https://api.dev.name.com/core/v1/domains/{domainName}/records \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.dev.name.com/core/v1/domains/{domainName}/records"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.dev.name.com/core/v1/domains/{domainName}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "totalCount": 123,
  "from": 123,
  "to": 123,
  "records": [
    {
      "ttl": 123,
      "type": "<string>",
      "answer": "<string>",
      "domainName": "<string>",
      "fqdn": "<string>",
      "host": "<string>",
      "id": 123,
      "priority": 123
    }
  ],
  "lastPage": 123,
  "nextPage": 123
}
{
"message": "Bad Request",
"details": "'domainName' cannot be null"
}
{
"message": "Unauthorized"
}
{
"message": "Permission denied",
"details": "Failed authentication"
}
{
"message": "Not Found",
"details": "The requested domain does not exist."
}
{
"message": "Method Not Allowed"
}
{
"message": "Rate Limit Exceeded"
}
{
"message": "Internal Server Error",
"details": "Something went wrong."
}
{
"message": "The server received an invalid response from the upstream server."
}
{
"message": "The upstream server is taking too long to respond."
}

Authorizations

Authorization
string
header
required

Authenticate via HTTP Basic with your account username and API token. Examples use an explicit 'Authorization: Basic <base64(username:token)>' header; 'curl -u username:token' is equivalent. For sandbox, append "-test" to your username and use your sandbox token on api.dev.name.com.

Path Parameters

domainName
string
required

DomainName is the zone to list the records for.

Query Parameters

perPage
integer<int32>
default:500

Per Page is the number of records to return per request. Per Page defaults to 500. Maximum number of records to return per page for paginated list endpoints.

Required range: 1 <= x <= 1000
page
integer<int32>

Page is which page to return.

Response

A successful response.

ListRecordsResponse is the response for the ListRecords function.

totalCount
integer<int32>
required

TotalCount is total number of results.

from
integer<int32>
required

From specifies starting record number on current page.

to
integer<int32>
required

To specifies ending record number on current page.

records
Records contains the records in the zone · object[]
required
lastPage
integer<int32>

LastPage is the identifier for the final page of results. It is only populated if there is another page of results after the current page.

nextPage
integer<int32>

NextPage is the identifier for the next page of results. It is only populated if there is another page of results after the current page.